refresh WFS option (using current extent)

2015-12-23 04:44 AM - Kay Warrie

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.12.1 Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22044

Description

My employer has several WFS with very large datasets.

(Example, this one: https://www.dov.vlaanderen.be/geoserver/dov-pub/Boringen/wfs )

If you add this as caching WFS all the data will be loaded, and will be incomplete.

If you request this as a non-caching WFS, the WFS won't be updated any more.

If you load only the data within a boundingbox, you can't update bbox anymore.

I think a refresh WFS bbox button or context-menu option or something similar would be a relative simple solution, that will allow the

users to reload the data of WFS-layer without having to add it again into the project and losing all configuration.

History

#1 - 2015-12-23 04:57 AM - Kay Warrie

Clarification: on 2.8.x once a non-caching WFS been loaded at full extent it won't be reloaded anymore.

#2 - 2017-01-17 06:34 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

Since the report the wfs client has been overhauled, and options changed/removed. The available "only request features overlapping..." works as expected

now.
